org.gnome.sourceview

## Class Language

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.sourceview.Language

-     public class Language
      extends Object

  A Language is used for syntax highlighting in a SourceBuffer. Instances can be obtained from the `LanguageManager`.
  Since:
    4.0.12
  Author:
    Stefan Schweizer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` Get the ID of the language.
    `String` | `getName()` Get the localized name of the language.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getID

          public String getID()

      Get the ID of the language. For example, the ID for Java is `java`. The ID of a language is defined in the corresponding language definition file.
      Since:
        4.0.12

    - #### getName

          public String getName()

      Get the localized name of the language.
      Since:
        4.0.12